Arch RemoveShape

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch RemoveShape and the translation is 23% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska

Arch RemoveShape.svg Arch RemoveShape

Menyplacering
Arch → Utilities → Remove Shape
Arbetsbänk(ar)
Arch
Standard genväg
None
Introducerad i version
-
Se även
MeshToShape


Beskrivning

This tool attempts at removing the inner cubic shape of an Arch Wall or Arch Structure, and adjusting its properties, making it totally parametric. This tool will only work if the underlying shape is cubic (exactly 6 faces, all corners have only right angles).

Bruk

  1. Select an Arch Wall or Arch Structure.
  2. Press the Arch RemoveShape.svg Remove Shape entry in Arch → Utilities → Remove Shape.

Skript

This tool can be used in macros and from the Python console by using the following function:

removeShape(objs, mark=True)
  • Takes a list of Arch objects (objs) built on a cubic shape, and removes the inner shape, keeping the length, width and height as properties of the Arch object.
  • If mark is True, objects that cannot be processed by this function will become red.
import FreeCAD, Draft, Arch

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 1000
Box.Width = 2000
Box.Height = 1000
FreeCAD.ActiveDocument.recompute()

Structure = Arch.makeStructure(Box)
FreeCAD.ActiveDocument.recompute()

Arch.removeShape(Structure)
FreeCAD.ActiveDocument.recompute()